complexType "VolatilityMatrix"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 attributes, 9 elements
Defined: | globally in fpml-mktenv-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
definitionRef | = | xsd:IDREF
| >
Content: | objectReference?, valuationScenarioReference?, baseDate?, spotDate?, inputDataDate?, endDate?, buildDateTime?, dataPoints?, adjustment*
</...>

Content Model Elements (9):

  adjustment,
  baseDate,
  buildDateTime,
  dataPoints,
  endDate (defined in PricingInputDates.model group),
  inputDataDate,
  objectReference,
  spotDate,
  valuationScenarioReference (defined in Valuation complexType)

All Direct / Indirect Based Elements (1):

  volatilityMatrixValuation

Known Usage Locations

- As direct type of elements (1):
  volatilityMatrixValuation

Annotation
A matrix of volatilities with dimension 0-3.
Type Definition Detail

Type Derivation Tree Valuation (extension) PricingStructureValuation (extension) VolatilityMatrix

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="VolatilityMatrix"> <xsd:complexContent> <xsd:extension base="PricingStructureValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="dataPoints" type="MultiDimensionalPricingData"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="adjustment" type="ParametricAdjustment"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/9)
adjustment

  Type: | ParametricAdjustment, complex content

  An adjustment factor, such as for vol smile/skew.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="adjustment" type="ParametricAdjustment"/>

dataPoints

  Type: | MultiDimensionalPricingData, complex content

  The raw volatility matrix data, expressed as a multi-dimensional array.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dataPoints" type="MultiDimensionalPricingData"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.